Subject: Re: bug#40462: 28.0.50; Building nativecomp branch segfaulting on FreeBSD

From: Andrea Corallo <[email-masked]>
Date: Sat, 02 May 2020 13:15:13 +0000

Ashish SHUKLA <[email-masked]> writes:

>> 
>> Hi Ashish,
>> 
>> thanks for reporting first.
>> 
>> I think your command line was fair...  'V' should be just about make
>> verbosity and NATIVE_FAST_BOOT just native compile only core files in
>> the first image but your crash was earlier so this should not make a
>> difference.
>> 
>> I suspect we are missing something.  Maybe the repo was dirty somehow
>> from some previous attempt?
>
> Well, it's built from a FreeBSD port (copy of editors/emacs-devel),
> which uses Emacs' git commit snapshot tarball (available from
> github.com/emacs-mirror/emacs assumed to contain output of: git archive
> $commitid ) as its source, and built by roughly executing following
> commands:

Ok, no idea of how all of this works.  I survived with some basic Unix
knowledge but I know nothing of freebsd.

> %./autogen.sh all
> % sed -e '/emacs-repository-version/s/^.*$$/(setq
> emacs-repository-version "${COMMIT_ID}")/' \
>       -e '/emacs-repository-branch/s/^.*$$/(setq emacs-repository-branch
> "master")/' -i '' lisp/loadup.el
> % ./configure $CONFIGURE_FLAGS
> % gmake $MAKE_FLAGS
>
> In your testing were you able to build without specifying any arguments
> to make (i.e. no "NATIVE_FAST_BOOT=1" "V=1"), as that's what was causing
> segmentation fault for me ?

I'll start it but single core it will take a while to get the answer,
I'm convinced tho is not here the issue you've observed.

> Thanks!

Welcome

  Andrea

-- 
[email-masked]